# Virtual Appliance

Download Virtual Appliance images from [Storware repository](https://repo.storware.eu/storware/current/virtual-appliance/).

## Prerequisites (Storware Backup & Recovery image)

* [RHV/oVirt/Oracle Linux VM](/70/deployment/installation/virtual-appliance/rhv-ovirt-olvm-virtual-appliance.md)
* [Citrix XenServer/XCP-ng](/70/deployment/installation/virtual-appliance/citrix-hypervisor-or-xcp-ng-virtual-appliance.md)
* [VMware/ESXi](/70/deployment/installation/virtual-appliance/vmware-virtual-appliance.md)
* [Nutanix Acropolis Hypervisor (AHV)](/70/deployment/installation/virtual-appliance/nutanix-virtual-appliance.md)

**Minimum requirements:** 8 vCPU core and 10 GB RAM

**Recommended requirements:** 8 vCPU core and 16GB RAM

For more information, please check [sizing guide](/70/deployment/sizing.md)

### Default login, and password

* Operating system / SSH: login: **root** password: **vPr0tect**
* WebUI: login: **admin** password: **vPr0tect**

## First steps after deployment

After downloading and importing the image to the environment set the IP address:

* run `nmtui`
* `Edit a connection`
* Select network interface, and edit its network settings.

Now you should be able to log in to the web console using the URL:

```
https://STORWARE_HOST
```

where STORWARE\_HOST is the hostname or IP of your Storware Backup & Recovery Server

Increase disk size (in this example to 500G):

```
vdo growPhysical -n /dev/mapper/FileSystem
vdo growLogical -n /dev/mapper/FileSystem --vdoLogicalSize 500G
xfs_growfs /dev/mapper/FileSystem
```

Then go to [Initial configuration](/70/deployment/initial-configuration.md) to add virtualization hosts.

{% hint style="info" %}
**Note:** Importing the image will install both the server and node. If You need only the Storware Backup & Recovery node, then You have to stop and disable Storware Backup & Recovery server service.
{% endhint %}

```
systemctl stop vprotect-server
systemctl disable vprotect-server
```

You can register nodes installed manually (RPM/Ansible) to the Storware Backup & Recovery server installed from OVA.

## Credentials

### SSH

user name: root

password: vPr0tect

### WebUI

URL: **<https://IP\\_address>**

user name: admin

password: vPr0tect

### MariaDB

user name: root

password: vPr0tect


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/70/deployment/installation/virtual-appliance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
